<?php

/**
 * User Registration Script
 *
 * @package Cotonti
 * @copyright (c) Cotonti Team
 * @license https://github.com/Cotonti/Cotonti/blob/master/License.txt
 */

defined('COT_CODE') or die('Wrong URL');

require_once cot_incfile('auth');

$v = cot_import('v','G','ALP');

if ($a == 'validate' && mb_strlen($v) == 32)
{
	cot_shield_protect();

  if($usr['id'] > 0) {
  	$row = $db->query("SELECT * FROM $db_users WHERE user_id=".$usr['id']." AND user_newemail!='' LIMIT 1")->fetch();

  	if ($row['user_id'] > 0 && $v == $row['user_lostpass'])
  	{
      $email_exists = (bool)cot::$db->query("SELECT user_id FROM ".$db_users." WHERE user_email = ? LIMIT 1",
              array($row['user_newemail']))->fetch();

      if ($email_exists && !$cfg['useremailduplicate']) cot_error('aut_emailalreadyindb', 'ruseremail');

      if(!cot_error_found()) {
  		  $db->update($db_users, array('user_email' => $row['user_newemail'], 'user_newemail' => '', 'user_lostpass' => ''), "user_id=".$usr['id']);

        if(empty($row['user_email'])) {
          cot_message('Ваш электронный адрес подтвержден.');
        } else {
          $db->update($db_users, array('user_paychgblock' => ($sys['now'] + 86400*7)), "user_id=".$usr['id']);
          cot_message('Ваш электронный адрес изменен.');
        }
      } else {
        $db->update($db_users, array('user_newemail' => ''), "user_id=".$usr['id']);
      }
  	} else {
      cot_error('Произошла ошибка при подверждении электронного адреса', 'ruseremail');
    }

    cot_redirect(cot_url('users', 'm=profile', '', true));
	}
	else
	{
		cot_die_message(404);
	}
}
else
{
	cot_die_message(404);
}